Subject: Re: bug#7230: 24.0.50; Regression: Many dictionaries not found by ispell.el

From: Agustin Martin <[email-masked]>
Date: Mon, 18 Oct 2010 18:16:47 +0200

On Mon, Oct 18, 2010 at 01:22:47PM +0200, Agustin Martin wrote:
> On Sun, Oct 17, 2010 at 07:41:16PM +0200, Knut Anders Hatlen wrote:
> > 
> > On a system with Aspell 0.60.6 with English dictionaries installed,
> > evaluating the following expression successfully changes the dictionary
> > on Emacs 23.2:
> > 
> > (progn
> >   (require 'ispell)
> >   (ispell-change-dictionary "british-ize"))
> > 
> > On Emacs 24 it fails:
> 
> Thanks for noticing and sorry for the bug. I thought it was behaving 
> correctly since a lot of English variants were listed and unfortunately 
> did not notice that some of them were missing, my fault. I really wonder 
> how no one found this before.
> 
> This change was introduced to deal with portuguese, that has no pt.dat, but
> pt_BR or pt_PT. 
> 
> I am currently playing with attached patch, that tries different .dat
> matches. This should be better than before, and deal with former case plus
> portuguese. Will test a bit more and commit if no problems appear.

Just committed a change that should look for both xx.dat and xx_YY.dat files
for xx_YY.. aspell dicts. Includes also some function reorganization and a
proper docstring. 

This should fix this problem, so I am closing the bug report. Please reopen
if needed.

>  (defun ispell-aspell-find-dictionary (dict-name)

Function name is a bit misleading. Fortunately, seems it is only used 
internally by ispell.el and is not intended for external use. I left it with 
its current name, but something like `ispell-aspell-find-dict-params' looks 
more appropriate. Will think if worths renaming and declaring old name 
obsolete.

Thanks for your feedback,

-- 
Agustin